Creates a new IntlDatePatternGenerator instance

- « IntlDatePatternGenerator

- IntlDatePatternGenerator::getBestPattern »

- PHP Manual
- IntlDatePatternGenerator
- Creates a new IntlDatePatternGenerator instance

# IntlDatePatternGenerator::create

# IntlDatePatternGenerator::__construct

(PHP 8 >= 8.1.0)

IntlDatePatternGenerator::create -- IntlDatePatternGenerator::__construct — Creates a new IntlDatePatternGenerator instance

### Description

public static IntlDatePatternGenerator::create(?string `$locale` = `null`): ?IntlDatePatternGenerator
public IntlDatePatternGenerator::__construct(?string `$locale` = `null`)

Creates a new IntlDatePatternGenerator instance.

### Parameters

`locale`

  The locale. If `null` is passed, uses the ini setting intl.default_locale.

### Return Values

Returns an IntlDatePatternGenerator instance on success, or `null` on failure.